[package]
name = "libterm"
version = "0.1.0"
edition = "2024"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
thiserror.workspace = true
cross.workspace = true

ratatui = { workspace = true, optional = true }

[target.'cfg(unix)'.dependencies]
libc = "0.2.150"

[target.'cfg(target_os = "yggdrasil")'.dependencies]
yggdrasil-rt.workspace = true

[dev-dependencies]
ratatui.workspace = true

[features]
default = []
tui = ["ratatui"]

[lints]
workspace = true
